Integrations & Installers

Endpoints related to integrations & installers.

GET /ecco/

Handle GET requests to list Ecco instances.

Handle GET requests to list Ecco instances.

Returns:

sepiida.responses.ResourceList: A list of Ecco instances.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.

  • 401 Unauthorized – Unauthorized: You are not authorized to access this resource.

  • 404 Not Found – NotFound: The requested Ecco instance was not found.

POST /ecco/

Handle POST requests to create an Ecco instance.

Handle POST requests to create an Ecco instance.

Supports both legacy and new Ecco clients: - Legacy clients provide a ‘uuid’ in the payload. - New clients do not provide a ‘uuid’ and are associated with a bureau.

Args:

payload (dict): The request payload.

Returns:

tuple: A tuple containing an empty string, HTTP status code, and headers.

Status Codes:
  • 201 Created – Resource created successfully

  • 400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.

  • 401 Unauthorized – Unauthorized: You are not authorized to access this resource.

  • 404 Not Found – NotFound: The requested Ecco instance was not found.

Response Headers:
  • Location – URI of the created resource

GET /ecco/{uuid}/

Handle GET requests to retrieve an Ecco instance.

Handle GET requests to retrieve an Ecco instance.

Args:

uuid (str): The UUID of the Ecco instance to retrieve.

Returns:

dict: The Ecco instance data.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.

  • 401 Unauthorized – Unauthorized: You are not authorized to access this resource.

  • 404 Not Found – NotFound: The requested Ecco instance was not found.

PUT /ecco/{uuid}/

Handle PUT requests to update an Ecco instance.

Handle PUT requests to update an Ecco instance.

Args:

uuid (str): The UUID of the Ecco instance to update. payload (dict): The request payload.

Returns:

tuple: A tuple containing an empty string, HTTP status code, and headers.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource updated successfully

  • 400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.

  • 401 Unauthorized – Unauthorized: You are not authorized to access this resource.

  • 404 Not Found – NotFound: The requested Ecco instance was not found.

GET /aggregate-api-functions/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested resources cannot be found.

GET /ecco-logs/{uuid}/

Fetch a log record for the current bureau.

Fetch a log record for the current bureau.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /installer/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

GET /ecco-logs/

List log records for a single instance in the current bureau.

List log records for a single instance in the current bureau.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /ecco-logs/

Create log metadata and return a signed upload URL.

Create log metadata and return a signed upload URL.

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /integration/

handler for HTTPS GET /resource/ , aka ‘LIST’.

handler for HTTPS GET /resource/ , aka ‘LIST’.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
GET /integration/{uuid}/

handler for HTTPS GET /integration/$uuid/

handler for HTTPS GET /integration/$uuid/

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes: